import 'package:firebase_dynamic_links/firebase_dynamic_links.dart';

// Puma Dynamic Links.
class PumaDynamicLinks {
  static listen({
    required void Function(Uri, Map<String, String?>) onLinkReceived,
    void Function(dynamic)? onError,
  }) {
    FirebaseDynamicLinks.instance.onLink.listen((dynamicLinkData) {
      // Navigator.pushNamed(context, dynamicLinkData.link.path);
      onLinkReceived(dynamicLinkData.link, dynamicLinkData.utmParameters);
    }).onError((error) {
      // Handle errors
      if (onError != null) {
        onError(error);
      }
    });
  }
}
