// Puma Condition.
class PumaCondition {
  final String field;
  final dynamic value;
  final PumaConditionType type;

  PumaCondition({
    required this.field,
    required this.value,
    this.type = PumaConditionType.isEqualTo,
  });
}

enum PumaConditionType {
  isEqualTo,
  isNotEqualTo,
  isLessThan,
  isLessThanOrEqualTo,
  isGreaterThan,
  arrayContains,
  arrayContainsAny,
  whereIn,
  whereNotIn,
  isNull
}
